#include"LevApproximation.h"
#include "Leviathan.h"
#include "Experiment.h"

#include <chrono>
#include <fstream>
#include <iostream>

int main()
{
  srand (time(NULL));

  float range=0.6;
  float sigma=0.3;
  float delta=0.1;
  unsigned int gossip=1;
  unsigned int nbAgent=5;
  unsigned int nbReplicas=100000;
  unsigned int nbInteractions=100;

//-----------------------Example of use----------------

//Example of simulations

//changeOfReputationPerAgent(range,sigma,delta,gossip,nbAgent,nbReplicas,nbInteractions);


//----------------------------------
//Use directly the Leviathan class to have an opinion matrix

//  Leviathan lev(delta,sigma,40,5);
//  while(lev.nbStep<10000)
//      lev.step();
//  lev.writeOpinions("example_opinionMatrix.csv");


//----------------------------------
//Use the LevApproximation class to get the values of the approximation
//  LevApproximation app(delta,sigma,nbAgent,gossip,range);
//  for(unsigned int i=0;i<nbInteractions;i++)
//    app.averageInteraction();
//  app.writeOpinions("approximation.csv");

  return 0;
}
